Synthetic USD
Get swaps
GET
/synthetic-usd/swapsPrivateFetch users swaps
Permissions: synthetic-usd:read
from?stringStart date, unix epoch 0 by default
Format
date-timeDefault
"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
Format
date-timeDefault
"2026-09-12T10:28:28.262Z"limit?integerNumber of entries to return, default to 1000
Range
1 <= value <= 1000Default
1000cursor?stringCursor for pagination
Format
date-timeOK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({ key: 'your-key', secret: 'your-secret', passphrase: 'your-passphrase',})const result = await client.syntheticUsd.getSwaps({ from: '1970-01-01T00:00:00.000Z', to: '2026-09-12T10:28:26.634Z', limit: 500}){ "data": [ { "id": "7bcf37dd-289a-4779-ab02-64ead00c60fd", "createdAt": "2024-05-08T02:40:00.000Z", "inAsset": "BTC", "outAsset": "USD", "inAmount": 50000, "outAmount": 4.99 } ], "nextCursor": "2024-01-15T10:30:00.000Z"}